import 'package:equatable/equatable.dart';

class StaffMainState extends Equatable {
  const StaffMainState({
    this.currentIndex = 2, // Default to Home
  });

  final int currentIndex;

  StaffMainState copyWith({int? currentIndex}) {
    return StaffMainState(currentIndex: currentIndex ?? this.currentIndex);
  }

  @override
  List<Object> get props => <Object>[currentIndex];
}
